setwd("C:/ellis/R/shrub/CART")
library(rpart)

spruce<-read.csv ('FAke_spruce_elev_slope_position.csv')

attach(spruce)
str(spruce)

# "class" for a classification tree
spruce.CART.c<-rpart(QUGA ~ Elev.m + Slope.position, data=spruce, method='class')

# "anova" for a regression tree 
spruce.CART.r<-rpart(QUGA ~ Elev.m + Slope.position, data=spruce, method='anova') # gives similar results but stats different

printcp(spruce.CART.c)   #display cp table
plotcp(spruce.CART.c) 	#plot cross-validation results
rsq.rpart(spruce.CART.r) 	# for regression (anova) only: plot approximate R-squared and relative error for different splits (2 plots). labels are only appropriate for the "anova" method.
print(spruce.CART.c) 	#print results
summary(spruce.CART.c) 	#detailed results including surrogate splits
plot(spruce.CART.c) 	#plot decision tree
text(spruce.CART.c) 	#label the decision tree plot
#post(spruce.CART.c, file=) 	#create postscript plot of decision tree


#take II - just slope position

setwd("C:/ellis/R/shrub/CART")
library(rpart)

spruce<-read.csv ('FAke_spruce_elev_slope_position.csv')

attach(spruce)

# "class" for a classification tree
spruce.CART.c<-rpart(QUGA ~ Slope.position, data=spruce, method='class')

# "anova" for a regression tree 
spruce.CART.r<-rpart(QUGA ~ Elev.m + Slope.position, data=spruce, method='anova') # gives similar results but stats different

printcp(spruce.CART.c)   #display cp table
plotcp(spruce.CART.c)   #plot cross-validation results
rsq.rpart(spruce.CART.r) 	# for regression (anova) only: plot approximate R-squared and relative error for different splits (2 plots). labels are only appropriate for the "anova" method.
print(spruce.CART.c) 	#print results
summary(spruce.CART.c) 	#detailed results including surrogate splits
plot(spruce.CART.c, main='spruce slope position') 	#plot decision tree
text(spruce.CART.c) 	#label the decision tree plot

#NO RESULTS!!! take III - only presence data - Elev and slope position coded as a number and 

setwd("C:/ellis/R/shrub/CART")
library(rpart)

spruce<-read.csv ('FAke_spruce_elev_slope_position_numbers_p.csv')
plot(spruce)
summary(spruce)
attach(spruce)

# "class" for a classification tree
spruce.CART.c<-rpart(QUGA ~ Slope.position + Elev.m, data=spruce, method='class')

# "anova" for a regression tree 
spruce.CART.r<-rpart(QUGA ~ Slope.position + Elev.m, data=spruce, method='anova') # gives similar results but stats different

printcp(spruce.CART.r)   #display cp table
plotcp(spruce.CART.c)   #plot cross-validation results
rsq.rpart(spruce.CART.r)   # for regression (anova) only: plot approximate R-squared and relative error for different splits (2 plots). labels are only appropriate for the "anova" method.
print(spruce.CART.c) 	#print results
summary(spruce.CART.c) 	#detailed results including surrogate splits
plot(spruce.CART.c, main='spruce slope position') 	#plot decision tree
text(spruce.CART.c) 	#label the decision tree plot

# take IV - presence and absence data - Slope pos + elev  revised data
# only lower slope positions at lowere elevations

setwd("C:/ellis/R/shrub/CART")
library(rpart)

spruce<-read.csv ('FAke_spruce_elev_slope_position1.csv')
plot(spruce)
summary(spruce)
attach(spruce)
#View(spruce)

# "class" for a classification tree
spruce.CART.c<-rpart(QUGA ~ Slope.position + Elev.m, data=spruce, method='class')

# "anova" for a regression tree 
spruce.CART.r<-rpart(QUGA ~ Elev.m + Slope.position, data=spruce, method='anova') # gives similar results but stats different

printcp(spruce.CART.c)   #display cp table
plotcp(spruce.CART.c)   #plot cross-validation results
rsq.rpart(spruce.CART.r)   # for regression (anova) only: plot approximate R-squared and relative error for different splits (2 plots). labels are only appropriate for the "anova" method.
print(spruce.CART.c)   #print results
summary(spruce.CART.c) 	#detailed results including surrogate splits
plot(spruce.CART.c, main='spruce slope position+elev') 	#plot decision tree
text(spruce.CART.c) 	#label the decision tree plot


# take V - presence and absence data - elev + Slope pos  revised data
# spruce only present at lower elevations in lower slope positions

setwd("C:/ellis/R/shrub/CART")
library(rpart)

spruce<-read.csv ('FAke_spruce_elev_slope_position1.csv')
plot(spruce)
summary(spruce)
attach(spruce)
#View(spruce)

# "class" for a classification tree
spruce.CART.c<-rpart(QUGA ~ Elev.m + Slope.position, data=spruce, method='class')

# "anova" for a regression tree 
spruce.CART.r<-rpart(QUGA ~ Elev.m + Slope.position, data=spruce, method='anova') # gives similar results but stats different

printcp(spruce.CART.c)   #display cp table
plotcp(spruce.CART.c)   #plot cross-validation results
rsq.rpart(spruce.CART.r)   # for regression (anova) only: plot approximate R-squared and relative error for different splits (2 plots). labels are only appropriate for the "anova" method.
print(spruce.CART.c)   #print results
summary(spruce.CART.c)   #detailed results including surrogate splits
plot(spruce.CART.c, uniform=TRUE, main='spruce elev + slope position') 	#plot decision tree
text(spruce.CART.c, use.n=TRUE, all=TRUE, cex=0.9) 	#label the decision tree plot


